(function() {
	tinymce.create('tinymce.plugins.LWSC', {
		init : function(ed, url) {
			ed.addCommand('mceLWSC', function() {
				ed.windowManager.open({
					file : ajaxurl + '?action=lwsc_tinymce',
					width : 380 + ed.getLang('LWSC.delta_width', 0),
					height : 195 + ed.getLang('LWSC.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url, // Plugin absolute URL
					some_custom_arg : 'custom arg' // Custom argument
				});
			});
			
			ed.addButton('lwsc', {
				title : 'Insert Scroller',
				image : url+'/icon.png',
				cmd : 'mceLWSC'
			});
			/*
			ed.onNodeChange.add(function(ed, cm, n) {
			cm.setActive('lwac', n.nodeName == 'IMG');
			});
			*/
		},
		createControl : function(n, cm) {
			return null;
		},
		getInfo : function() {
			return {
				longname : "Likno Web Scroller",
				author : 'Likno',
				authorurl : 'http://likno.com/',
				infourl : 'http://www.likno.com/jquery-scroller/wordpress-scroller.html',
				version : "1.1.2"
			};
		}
	});
	tinymce.PluginManager.add('lwsc', tinymce.plugins.LWSC);
})();

