<?php
define('WP_USE_THEMES', false);

/** Loads the WordPress Environment and Template */
require_once('../../../wp-blog-header.php');
require_once (ABSPATH . 'wp-admin/includes/file.php');
global $wpdb;
$lwsc_table_name = $wpdb->prefix . "lwsc";
include_once ABSPATH . 'wp-content/plugins/webscrollerbuilder-wordpress-plugin/include.php';
include_once ABSPATH . 'wp-content/plugins/webscrollerbuilder-wordpress-plugin/widgetClass.php';


$LWSC_ver = '1.1.2';

$lwsc_total_tabs = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $lwsc_table_name;", null));

for ($lwsc=0; $lwsc< $lwsc_total_tabs; $lwsc++) {
	// LWSC_tabs_name
	if (isset($_POST["LWSC_tabs_name_".$lwsc]))
		$_POST["LWSC_tabs_name_".$lwsc] = lwsc_fix_tabs_name($_POST["LWSC_tabs_name_".$lwsc]);
}
// LWSC_the_path
if (isset($_POST["LWSC_the_path"])) {
	$lwsc_path = (string) $_POST["LWSC_the_path"];
	if ((strpos($lwsc_path, "/") != 0) || (strpos($lwsc_path, "/") === FALSE)) $lwsc_path = "/" . $lwsc_path;
	if (substr($lwsc_path, strlen($lwsc_path)-1,1) != "/") $lwsc_path = $lwsc_path . "/";
	$_POST["LWSC_the_path"] = $lwsc_path;
}

if ($_POST['theaction'] == "createnew") {
	lwsc_create_new();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>New scroller succesfully created!</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="set_defaults") {
	// first update all values, then reset this scroller to defaults
	lwsc_update_option_values();
	lwsc_set_default_option_values(get_option('LWSC_selected_tab'));
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>Default Settings Loaded!</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="info_update") {
	// update all values
	$message = lwsc_update_option_values();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="delete") {
	$message = lwsc_delete_tabs();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=='hide_msg') {
	update_option('LWSC_Check_show', FALSE);
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="zip_update") {
	// update all values
	//lwsc_update_option_values();
	$message = lwsc_update_zip();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
}
?>
