<?php
/* This code saves the form values */
function lwsc_update_option_values() {
	global $lwsc_total_scrollers, $lwsc_table_name ,$wpdb;
	for ($lwsc_t=0; $lwsc_t<$lwsc_total_scrollers; $lwsc_t++) {
		if ($wpdb->get_var("SELECT COUNT(*) as cnt from $lwsc_table_name where id!=".$_POST["LWSC_tabs_id_".$lwsc_t]." AND name LIKE '".(string) $_POST["LWSC_tabs_name_".$lwsc_t]."'"))
			return "You must change name";
		$print_div = isset($_POST["lwsc_type_".$lwsc_t]);
		
		$wpdb->update( $lwsc_table_name, array('print_div' => $print_div,'position'=> (string) $_POST["lwsc_tabs_position_".$lwsc_t],'name' => (string) $_POST["LWSC_tabs_name_".$lwsc_t], 'active' => (bool) $_POST["LWSC_tabs_active_".$lwsc_t]),array('id'=>(int) $_POST['LWSC_tabs_id_' .$lwsc_t]) );
		
		if ((string) $_POST["lwsc_tabs_position_".$lwsc_t] == 'lwsc_widget' && (bool) $_POST["LWSC_tabs_active_".$lwsc_t] ){
			lwsc_create_widget_instance($lwsc_t);
		} else {
			lwsc_delete_widget_instance($lwsc_t);
		}
	}
	update_option('LWSC_selected_tab', (string) $_POST["LWSC_selected_tab"]);
	update_option('LWSC_the_path', (string) $_POST["LWSC_the_path"]);
	
	return "Settings Updated!";
}

function lwsc_create_new(){
	global $lwsc_table_name, $wpdb;
	$rows_affected = $wpdb->insert( $lwsc_table_name, array(  'name' => ""));
	$i = 1;
	while ($wpdb->get_var("SELECT COUNT(*) as cnt from $lwsc_table_name where name LIKE 'scroller".$i."'")){
		$i++;
	}
	$wpdb->update( $lwsc_table_name, array( 'name' => (string) "scroller".$i ),array('id'=>$wpdb->insert_id) );
}

function lwsc_delete_tabs(){
    global $wpdb, $lwsc_table_name, $lwsc_total_scrollers;
	if ($lwsc_total_scrollers == 1) return  "This is the last scroller. You cannot delete it.";
	$wpdb->query("DELETE from $lwsc_table_name where id =".(int) $_POST['LWSC_tabs_id']);
	lwsc_delete_widget_instance((int) $_POST['LWSC_tabs_id'], true);
	
	if ((int) $_POST["LWSC_selected_tab_c"] == ($lwsc_total_scrollers-1) &&  get_option('LWSC_selected_tab') == (int) $_POST["LWSC_selected_tab_c"])
		update_option('LWSC_selected_tab', ((int) $_POST["LWSC_selected_tab_c"])-1);
	return "Scroller deleted.";
}

/*
 * Helper function that creates Web Scroller Builder Widget Instances
 */
function lwsc_create_widget_instance($lwsc){
	//retrieve all instances of widget.
	$a = get_option('widget_widget_webscrollerbuilder');
	//a flag to find if this instance is already setted
	$a2 = $a;
	$notSet = true;
	//variable to hold where is the last instance saved
	$_keyPos = count($a) - 2;
	
	$i = 0;
	$keyToSave = -1;
	$keyThatExists = -1;
	
	foreach ( (array) $a as $_key=>$m_instance) {
		//save the key of the last instance
		if ($i == $_keyPos){
			$keyToSave =  $_key;
		}
		$i++;
		
		if (!empty($m_instance['div_name']) ) {
			if ($m_instance['div_name'] == (int) $_POST["LWSC_tabs_id_".$lwsc]){
				//if it's already defined set the flag to false
				$notSet = false;
				$keyThatExists = $_key;
				break;
			}
		}
	}
	if (count($a) == 1) {
		$keyToSave = 1;
	}
	if ($notSet && $keyToSave!=-1) {
		//create the new instace
		$a2[ $keyToSave + 1 ] = array ('div_name' => (int) $_POST["LWSC_tabs_id_".$lwsc] );
		ksort($a2 , SORT_STRING);
		update_option('widget_widget_webscrollerbuilder',$a2);
		//adds the new instance to inactive widgets
		
		$sidebar_widgets = (get_option('sidebars_widgets'));
		$sidebar_widgets['wp_inactive_widgets'][count($sidebar_widgets['wp_inactive_widgets'])] = 'widget_webscrollerbuilder-'.($keyToSave + 1);
		update_option('sidebars_widgets', $sidebar_widgets);
	}
	/*
	else if ($notSet && $keyThatExists!=-1){

	$alreadyFlag = true;
	$sidebar_widgets = (get_option('sidebars_widgets'));
	$sidebar_widgets2 = $sidebar_widgets = (array)$sidebar_widgets;
	//loop through sidebats to find instances of the widghet
	foreach ($sidebar_widgets as $name_of_sidebar=>$sidebar){
	foreach ((array)$sidebar as $sidebar_i=>$widget_instance_name){
	if ($widget_instance_name == 'widget_scrollerbuilder-'.$keyThatExists){
	$alreadyFlag = false;
	}
	}
	}

	if ($alreadyFlag)
	{
	$sidebar_widgets = (get_option('sidebars_widgets'));
	$sidebar_widgets['wp_inactive_widgets'][count($sidebar_widgets['wp_inactive_widgets'])] = 'widget_webscrollerbuilder-'.($keyThatExists);
	update_option('sidebars_widgets', $sidebar_widgets);
	}

	}

	*/
	}
/*
 * Helper function that deletes a widget instance
 */
function lwsc_delete_widget_instance($lwsc, $isId = false){
	//if not an lwsc_widget we should check if this tabs
	//widget instance exists so to remove it from the instances and sidebars
	
	$id = -1;
	if ($isId) $id = $lwsc;
	else $id = (int) $_POST["LWSC_tabs_id_".$lwsc];
	
	$notSet = TRUE;
	$notSet2 = TRUE;
	$a = get_option('widget_widget_webscrollerbuilder');
	$a2 = $a = (array) $a;
	//array to hold keys to remove in case we find one or more instances
	$keysToRemove = array();
	
	foreach ( $a as $_key=>$m_instance) {
		if (!empty($m_instance['div_name']) ) {
			if ($m_instance['div_name'] == $id) {
				$notSet = false;
				unset ($a2[$_key])  ;
				$keysToRemove[] = $_key ;
			}
		}
	}
	if (!$notSet) {
		ksort($a2 , SORT_STRING);
		update_option('widget_widget_webscrollerbuilder',$a2);
		//retrieve the sidebars
		$sidebar_widgets = (get_option('sidebars_widgets'));
		$sidebar_widgets2 = $sidebar_widgets = (array)$sidebar_widgets;
		//loop through sidebats to find instances of the widghet
		foreach ($sidebar_widgets as $name_of_sidebar=>$sidebar) {
			foreach ((array)$sidebar as $sidebar_i=>$widget_instance_name) {
				foreach ($keysToRemove as $keyToRemove) {
					if ($widget_instance_name == 'widget_webscrollerbuilder-'.$keyToRemove) {
						unset($sidebar_widgets2[$name_of_sidebar][$sidebar_i]);
						$notSet2 = false;
					}
				}
			}
		}
		if (!$notSet2) {
			ksort($sidebar_widgets2, SORT_STRING);
			update_option('sidebars_widgets', $sidebar_widgets2);
		}
	}
}

/* The function that uploads the zip file */
function lwsc_update_zip() {
	global $lwsc_table_name,$wpdb;
	global $lwsc_total_scrollers;
	
	update_option('LWSC_selected_tab', (string) $_POST["LWSC_selected_tab_c"]);
	foreach ($_FILES as $src) {
		if ($src['size']) {
			$folder = get_option('LWSC_the_path');
			$or_name = str_replace("-","_",($wpdb->get_var("SELECT name from $lwsc_table_name where id = ".(int) $_POST["LWSC_tabs_id"]).'.zip'));
			if ($src['name'] != "wordpress_".$or_name) {
				return "Error: Wrong filename (".$src['name']."). It should be: 'wordpress_".$or_name."'.";
			}
			if (file_exists (ABSPATH.$folder.$src['name'])) unlink ( ABSPATH.$folder.$src['name'] );
			if (!file_exists(ABSPATH.$folder)) {
				if (!mkdir(ABSPATH.$folder)) return "Error: This folder does not exist '".$folder."'. You should create it by yourself." ;
			}
			
			$wantedPerms = 0755;
			$actualPerms = fileperms(ABSPATH.$folder);
			if ($actualPerms < $wantedPerms) {
				if (!chmod (ABSPATH.$folder, $wantedPerms)) {
					return "Error: Cannnot write to folder: '".$folder."'." ;
				}
			}
			define('UPLOADS', $folder);
			$overrides = array('test_form' => false);
			if (($uploads_use_yearmonth_folders = get_option('uploads_use_yearmonth_folders'))) update_option('uploads_use_yearmonth_folders', 0);
			
			WP_Filesystem();
			$file = wp_handle_upload($src, $overrides);
			if ($uploads_use_yearmonth_folders == 1) update_option('uploads_use_yearmonth_folders', 1);
			if (function_exists(unzip_file)) {
				$result = unzip_file($file['file'], ABSPATH.$folder);
				if (is_wp_error($result)) {
					@unlink($file['file']);
					@chmod ($file_path , $actualPerms);
					return "Error: Unzipping file failed.";
				}
			} else {
				@unlink($file['file']);
				@chmod ($file_path , $actualPerms);
				return "ZIP upload requires WordPress version 2.5 or greater.";
			}
			@unlink($file['file']);
			@chmod ($file_path , $actualPerms);
			return "Scroller files successfully uploaded.";
		}
	}
	update_option('LWSC_selected_tab', (string) $_POST["LWSC_selected_tab_c"]);
}


/* This code sets the plugin up for first-time-run */
function lwsc_set_first_time_options() {
	global $lwsc_total_scrollers,$lwsc_table_name,$wpdb;
	
    if($wpdb->get_var("SHOW TABLES LIKE '$lwsc_table_name'") != $lwsc_table_name) {
		$sql = "CREATE TABLE " . $lwsc_table_name . "(
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		name tinytext NOT NULL DEFAULT '',
		active BOOLEAN NOT NULL DEFAULT  '0',
		position tinytext NOT NULL DEFAULT '',
		print_div BOOLEAN NOT NULL DEFAULT  '0',
		UNIQUE KEY id (id)
		) ;";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		if ($wpdb->get_var("SHOW TABLES LIKE '$lwsc_table_name'") != $lwsc_table_name) {
			return "Could not create table. Please check your privileges";
		}
		
		$rows_affected = $wpdb->insert( $lwsc_table_name, array(  'name' => (string) "scroller1", 'position' => (string) "shortcode"));
		update_option('LWSC_selected_tab', '0');
    }
	
	add_option('LWSC_the_path', '/wp-content/plugins/webscrollerbuilder-wordpress-plugin/files/');
	add_option('LWSC_Checked', FALSE);
	add_option('LWSC_Checked_Date', '00');
	add_option('LWSC_selected_tab', '0');
}

/* This code corrects the tabs name if it has paths or extension */
function lwsc_fix_tabs_name($lwsc_m) {
	$lwsc_name = $lwsc_m;
	if (strpos($lwsc_name,"/")>-1 || strpos($lwsc_name,".js")>-1 ) {
		$lwsc_nm = explode("/", $lwsc_name);
		$lwsc_name = $lwsc_nm[1];
		$lwsc_nm = explode(".", $lwsc_name);
		$lwsc_name = $lwsc_nm[0];
	}
	return $lwsc_name;
}

/* This code checks for updated versions of the Web Scroller Builder software and informs the user if necessary */
function lwsc_check() {
	global $lwsc_url, $lwsc_total_scrollers, $wpdb, $lwsc_table_name;
	$lwsc_the_msg = array();
	$lwsc_realpath = ABSPATH. get_option('LWSC_the_path');
	$lwsc_path = get_bloginfo('url') . get_option('LWSC_the_path');
	
	error_reporting(0);
	$myrows = $wpdb->get_results("SELECT name FROM $lwsc_table_name where active = 1 ORDER BY id ASC");
	for ($lwsc_t=0; $lwsc_t<$lwsc_total_scrollers; $lwsc_t++) {
		$lwsc_the_msg[$lwsc_t] = "";
		$lwsc_name = trim($myrows[$lwsc_t]->name).".js";
		$lwsc_parent = trim($myrows[$lwsc_t]->name);
		if (! ($lwsc_tabsfile = fopen($lwsc_realpath . $lwsc_parent . DIRECTORY_SEPARATOR .$lwsc_name, 'r'))) {
			$lwsc_the_msg[$lwsc_t] = "Scroller ".$myrows[$lwsc_t]->name." was not found at: ". $lwsc_path .$lwsc_parent."/".$lwsc_name;
			continue;
		} elseif (! ($lwsc_mfile = fread($lwsc_tabsfile, filesize($lwsc_realpath .$lwsc_parent.DIRECTORY_SEPARATOR.$lwsc_name)))) {
			$lwsc_the_msg[$lwsc_t] = "Could not read scroller at: ". $lwsc_path .$lwsc_parent."/".$lwsc_name;
			continue;
		}
		
		preg_match('#\/*([^\*]*)\*/#', $lwsc_mfile, $matches);
		if ($matches[1]==null) {
			$lwsc_the_msg[$lwsc_t] = "Could not read scroller at: ". $lwsc_path . $lwsc_parent."/".$lwsc_name;
			continue;
		}
		
		$lwsc_buildNo = $matches[1];
		
		$lwsc_params = "prod=lwsc&plugin=wordpress&build=".$lwsc_buildNo."&rand=". rand(1,10000) ."&domain=". get_bloginfo('url');
		
		if (function_exists('curl_init')) {
			if (! ($lwsc_tmp = lwsc_geturl($lwsc_params))) {
				$lwsc_the_msg[$lwsc_t] = "Could not retrieve version information for ".$myrows[$lwsc_t]->name.". Please <a href='mailto:support@likno.com?subject=WordPress: Error while retrieving version info'>contact Likno</a> for more information.";
			} else {
				$lwsc_the_msg[$lwsc_t] = $lwsc_tmp;
			}
			continue;
		} else {
			$lwsc_the_msg[$lwsc_t] = '<iframe src='. $lwsc_url .'?'. $lwsc_params .' width="600px" height="80px"></iframe>';
		}
	}
	
	$lwsc_has_msg = false;
	for ($lwsc_t=0; $lwsc_t<$lwsc_total_scrollers; $lwsc_t++) { if ($lwsc_the_msg[$lwsc_t] != "") {$lwsc_has_msg = true; break;} }
	
	$lwsc_the_full_msg = "";
	if ($lwsc_has_msg) {
		$lwsc_the_full_msg = "<div class='updated fade'>";
		for ($lwsc_t=0; $lwsc_t<$lwsc_total_scrollers; $lwsc_t++) if ($lwsc_the_msg[$lwsc_t] != "") $lwsc_the_full_msg .= "<br><strong>Note about ".$myrows[$lwsc_t]->name.": </strong><br>".$lwsc_the_msg[$lwsc_t]."<br>";
		$lwsc_the_full_msg .= "<br><input type='button' value='Hide Notifications' onclick='theform.theaction.value=\"hide_msg\"; theform.submit();'/><br>&nbsp;</div>";
	}
	
	update_option('LWSC_Checked', TRUE);
	update_option('LWSC_Checked_Date', date('d'));
	error_reporting(1);
	return $lwsc_the_full_msg;
}

/* Helper code for above function */
global $lwsc_url;
$lwsc_url="http://www.likno.com/addins/plugin-check.php";
function LWSC_geturl($lwsc_params) {
    global $lwsc_url;
    $lwsc_ch = curl_init();
    curl_setopt ($lwsc_ch, CURLOPT_URL,$lwsc_url);
	curl_setopt($lwsc_ch, CURLOPT_POST, 1);
    curl_setopt($lwsc_ch, CURLOPT_POSTFIELDS, $lwsc_params);
	
    curl_setopt($lwsc_ch, CURLOPT_RETURNTRANSFER, 1);
    $lwsc_postResult = curl_exec($lwsc_ch);
	
    return $lwsc_postResult;
}

?>