/*
Plugin Name: Likno Web Scroller WordPress Plugin
Plugin URI: http://www.likno.com/jquery-scroller/wordpress-scroller.html
Description: WordPress plugin for the Likno Web Scroller - Create stylish, feature-rich tab controls for your blogs!
Version: 1.1.2
Author: Likno Software
Author URI: http://www.likno.com/
*/

/*
 *These are all the javascript functions that plugin uses.
 *
 **/

var clip = null;
var clip2 = null;
var LWSC_TOTAL_TABS_JS;

    //adds ie indexOf
if(!Array.indexOf) {
	Array.prototype.indexOf = function(obj) {
		for(var i=0; i<this.length; i++) {
			if(this[i]==obj) {
				return i;
			}
		}
		return -1;
	}
}


function lwsc_copy_complete(client, text) {
	alert("Copied 'DIV' element name to clipboard: " + text);
}
function lwsc_template_tag_complete(client, text) {
	alert("Copied template tag code to clipboard: \n" + text);
}

function lwsc_show_tab(x) {
	var i;
	for (i=0; i<LWSC_TOTAL_TABS_JS; i++) {
		document.getElementById('LWSC_tab_body_'+i).style.display="none";
		document.getElementById('LWSC_scroller_header_'+i).className = "LWSC_scroller_header";
	}
	document.getElementById('LWSC_scroller_header_'+x).className = "LWSC_scroller_header_selected";
	document.getElementById('LWSC_tab_body_'+x).style.display="";
	document.getElementById('LWSC_selected_tab').value = x;
	document.getElementById("upload_form_tabs_name").innerHTML = eval('document.theform.LWSC_tabs_name_'+x+'.value;');
	
	var lwsc_onload = function(){
		clip = new ZeroClipboard.Client();
		clip.setText(document.getElementById("lwsc_divname"+x).value);
		clip.glue('lwsc_copy_button_' + x);
		clip.addEventListener( 'onComplete', lwsc_copy_complete );
		
		clip2 = new ZeroClipboard.Client();
		clip2.setText(document.getElementById("template_tag_code_"+x).value);
		clip2.glue('lwsc_template_tag_button_' + x);
		clip2.addEventListener( 'onComplete', lwsc_template_tag_complete );
	};
	
	if (window.addEventListener) {	// W3C standard
		window.addEventListener('load', lwsc_onload, false); // NB **not** 'onload'
	} else if (window.attachEvent) {	// Microsoft
		window.attachEvent('onload', lwsc_onload);
	}
}

function lwsc_uncheck(x) {
	if (document.getElementById('LWSC_tabs_active_'+x).checked) {
		document.getElementById('LWSC_unchecked_'+x).style.color="#009900";
		document.getElementById('LWSC_unchecked_'+x).innerHTML = "(this scroller will appear in your blog)";
	} else {
		document.getElementById('LWSC_unchecked_'+x).style.color="#990000";
		document.getElementById('LWSC_unchecked_'+x).innerHTML = "Unchecked! (this scroller not appear in your blog)";
	}
}

function lwsc_set_path() {
	document.getElementById('LWSC_the_path').innerHTML = document.getElementById('LWSC_the_path').value;
}

function LWSC_folder_info(x,t) {
	document.getElementById('LWSC_folder_info_'+t).style.display = x;
}

function lwsc_disable_value(elem,e){
	var key;
	if(window.event) {
		key = e.keyCode;
		isCtrl = window.event.ctrlKey
	} else if(e.which) {
		key = e.which;
		isCtrl = e.ctrlKey;
	}
	if (isNaN(String.fromCharCode(key))) return false;
	return true;
}

function lwsc_tabs_position(value, i) {
	if (clip2!=null) {
		clip2.destroy();
		clip2 = null;
	}
	document.getElementById('lwsc_shortcode_position_' + i).style.display = "none";
	document.getElementById('lwsc_widget_position_' + i).style.display = "none";
	document.getElementById('lwsc_template_tag_position_' + i).style.display = "none";
	if (value == "shortcode" ) {
		document.getElementById('lwsc_shortcode_position_' + i).style.display = "block";
		if (document.getElementById('LWSC_tabs_name_'+i).value != document.getElementById('LWSC_tabs_name_'+i).getAttribute("original"))
			document.getElementById('lwsc_name_notice_'+i).innerHTML = "Name changed: You are using the shortcode positioning method. You have to go to each post or page using this scroller and change the 'name' property.";
	} else if (value == "lwsc_widget") {
		document.getElementById('lwsc_widget_position_' + i).style.display = "block";
		document.getElementById('lwsc_name_notice_'+i).innerHTML = ""
	} else {
		document.getElementById('lwsc_template_tag_position_' + i).style.display = "block";
		if (document.getElementById('LWSC_tabs_name_'+i).value != document.getElementById('LWSC_tabs_name_'+i).getAttribute("original"))
			document.getElementById('lwsc_name_notice_'+i).innerHTML = "Name changed: You are using the template tag positioning method. You have to go to each template file using this scroller and change the 'name' property.";
		clip2 = new ZeroClipboard.Client();
		clip2.setText(document.getElementById("template_tag_code_"+i).value);
		clip2.glue('lwsc_template_tag_button_' + i);
		clip2.addEventListener( 'onComplete', lwsc_template_tag_complete );
	}
}

function lwsc_disable_value(elem,e){
	var key;
	if (window.event) {
		key = e.keyCode;
		isCtrl = window.event.ctrlKey
	} else if(e.which) {
		key = e.which;
		isCtrl = e.ctrlKey;
	}
	if (isNaN(String.fromCharCode(key))) return false;
	return true;
}

function lwsc_show_field(x,t,field) {
	elem = document.getElementById("lwsc_"+field+"_fieldset_"+t);
	elem.style.display = x?"":"none";
	document.getElementById("lwsc_"+field+"_dots_"+t).innerHTML = x?":":" ...";
}

function lwsc_print_div(checked,num) {
	if (checked) {
		if (clip!=null) clip.destroy();
        clip = new ZeroClipboard.Client();
        document.getElementById("lwsc_embeddedDetails_" +num).style.display = "";
		clip.setText(document.getElementById("lwsc_divname"+num).value);
		clip.glue('lwsc_copy_button_' + num);
		clip.show();
		clip.addEventListener( 'onComplete', lwsc_copy_complete );
	} else {
        document.getElementById("lwsc_embeddedDetails_" +num).style.display = "none";
        clip.hide();
    }
}

function lwsc_name_change(x,val) {
    document.getElementById('upload_form_tabs_name').innerHTML = val;
    document.getElementById('lwsc_active_name_' + x).innerHTML =  val;
    document.getElementById('lwsc_divname' + x).value =  'lwscAnchor-' +val;
	document.getElementById('template_tag_code_'+x).value ="&lt;?php if (function_exists('lwsc_template_tag'))\n"+"lwsc_template_tag('"+val+"');?&gt;";
	if (eval("document.theform.lwsc_tabs_position_" + x +"[0].selected") == true) {
        document.getElementById('lwsc_name_notice_'+x).innerHTML = "Name changed: You are using the shortcode positioning method. You have to go to each post or page using this scroller and change the 'name' property.";
	} else if (eval("document.theform.lwsc_tabs_position_" + x +"[1].selected") == true) {
        document.getElementById('lwsc_name_notice_'+x).innerHTML = "Name changed: You are using the template tag positioning method. You have to go to each template file using this scroller and change the 'name' property.";
    }
	else if (eval("document.theform.lwsc_tabs_position_" + x +"[2].selected") == true) {
        document.getElementById('lwsc_name_notice_'+x).innerHTML = "";
	}
}

function lwsc_form_validate() {
	var i=0;
	var j=0;
	var errorMsg='';
	var exclude = new Array();
	for (i=0; i<LWSC_TOTAL_TABS_JS; i++) {
		var message = "Name: \"" + document.getElementById("LWSC_tabs_name_"+i).value + "\" exists in scroller tabs: " + (i+1);
		var message2= '';
		if (exclude.indexOf(document.getElementById("LWSC_tabs_name_"+i).value)==-1) {
			for (j = i+1; j<LWSC_TOTAL_TABS_JS; j++){
				if (document.getElementById("LWSC_tabs_name_"+i).value == document.getElementById("LWSC_tabs_name_"+j).value)
					message2 += ", " + (j+1);
			}
		}
		if (message2.length > 0){
			errorMsg+= message + message2 + ". Names must be unique for each scroller tab.\n";
			exclude[exclude.length] = document.getElementById("LWSC_tabs_name_"+i).value;
		}
	}
	if (errorMsg.length>0)
		alert("The following error(s) occured: \n" +errorMsg);
	else
		document.theform.submit();
}
