<?php
/*
 * This is the class of the webscrollerbuilder widget.
 */
class Widget_WebScrollerBuilder extends WP_Widget {
	function Widget_WebScrollerBuilder() {
		$widget_ops = array('description' => __( "Do not use the drag and drop feature here. Please choose one of the scroller widgets found at the “Inactive Widgets” section at the bottom of this page. Also remember that you should also have the “Widget” option selected at the “Scroller Positioning Method” property of the Likno Web Scroller plugin settings page. " ) );
		$this->WP_Widget('Widget_WebScrollerBuilder', __('Likno Web Scroller'), $widget_ops);
	}
	function widget( $args, $instance ) {
		global $wpdb,$lwsc_table_name;
		extract($args, EXTR_SKIP);
		if (isset($instance['div_name']))
			$lwscName = $wpdb->get_var('SELECT name from '.$lwsc_table_name.' where position LIKE "lwsc_widget" && id = '.(int)$instance['div_name']);
		else
			$lwscName = '';
		
		if (!empty($lwscName)) {
			global $lwscPluginInstance;
			$lwscPluginInstance->lwsc_toload[]= "'".$lwscName."'";
			if (1 == $wpdb->get_var('SELECT print_div from '.$lwsc_table_name.' where position LIKE "lwsc_widget" && id = '.(int)$instance['div_name']))
			{
				echo $before_widget;
				$div_name = "lwscAnchor-".$lwscName;
				echo "<div id='$div_name'></div>";
				echo $after_widget;
			}
		}
	}
	
	function update( $new_instance, $old_instance ) {
		return false;
	}
	
	function form( $instance ) {
		global $wpdb, $lwsc_table_name;
		if (isset($instance['div_name']))
			$tabsName = $wpdb->get_var( "SELECT name FROM $lwsc_table_name where id = " .(int) $instance['div_name']);
		else
			$tabsName = '';
		if (!empty($tabsName)):
?>
			<p>
				<input type="hidden" id="lwsc-widget-title" value="<?php echo $tabsName?>"/>
				<span><?php _e('This is the widget for the scroller: '); ?><strong><?php echo $tabsName;?></strong></span>
			</p>
<?php 	else:	?>
			<p><strong style="color: red">Warning!!!</strong><br />It seems that you chose the Likno Web Scroller widget from the <em>'Available Widgets'</em> panel. Instead, you should drag and drop the related Likno Web Scroller widget from the <em>'Inactive Widgets'</em> panel. If you cannot find the widget that you want, go to <a href="<?php echo admin_url('options-general.php?page=webscrollerbuilder-wordpress-plugin/webscrollerbuilder-wordpress.php')?>">Likno Web Scroller settings</a>, select the scroller that you want and choose the "Widget" value in the "Scroller Positioning Method" property.</p>
<?php 	endif;	?>
<?php
	}
}
?>
